Skip to content
Hexel StudioDocs

Update a skill

PUT/compute/v1/skills/{name}

Updates an existing skill definition and recomputes content hash

Path parameters

namestring

Skill name

Headers

Bearer <token>. STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

Body parameters

Updated skill definition

contentstring
descriptionoptional string
namestring
resourcesoptional map[string]

Resources are files written into /workspace/skills/<name>/. Include "requirements.txt" to install Python dependencies at VM boot.

Returns

200OKSkill

contentoptional string
content_hashoptional string
created_atoptional string
descriptionoptional string
nameoptional string
resourcesoptional map[string]
updated_atoptional string

Errors

  • 400Bad Request
  • 500Internal Server Error